Subject: Re: [RFC net-next 0/3] Proposal for VRF-lite

From: Nicolas Dichtel <[email-masked]>
Date: Tue, 09 Jun 2015 10:58:58 +0200

Le 08/06/2015 20:35, Shrijeet Mukherjee a écrit :
> From: Shrijeet Mukherjee <[email-masked]>
>
> In the context of internet scale routing a requirement that always
> comes up is the need to partition the available routing tables into
> disjoint routing planes. A specific use case is the multi-tenancy
> problem where each tenant has their own unique routing tables and in
> the very least need different default gateways.
>
> This is an attempt to build the ability to create virtual router
> domains aka VRF's (VRF-lite to be specific) in the linux packet
> forwarding stack. The main observation is that through the use of
[snip]
>   drivers/net/vrf.c            |  654 ++++++++++++++++++++++++++++++++++++++++++

I'm not really in favor of the name 'vrf'. This term is very controversial and
having a consensus of what is/contains a 'vrf' is quite impossible.
There was already a lot of discussions about this topic on quagga ml that show
that everybody has a different opinion about this term ;-)

I know you call this 'MRF' internally, why not using this name instead?

Regards,
Nicolas